Bug 1364352 - Add zone rename to radosgw-admin(8)
Summary: Add zone rename to radosgw-admin(8)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 2.1
Assignee: Casey Bodley
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 07:35 UTC by shilpa
Modified: 2017-07-30 15:45 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:29:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16934 None None None 2016-08-05 07:35:31 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description shilpa 2016-08-05 07:35:31 UTC
Description of problem:

Zone rename command is missing in radosgw-admin manpage. 

https://github.com/ceph/ceph/pull/9779
http://tracker.ceph.com/issues/16934

Comment 10 Vasishta 2016-10-14 08:42:54 UTC
I discussed with Shilpa and got to know that zone rename command information had to be added in 'radosgw-admin --help' command output, not in man page.

As required information on 'zone rename' has been added in 'radosgw-admin --help', moving bug to VERIFIED state.

----------------------------------------

$ sudo radosgw-admin --help |grep zone
  zone create                create a new zone
  zone delete                delete a zone
  zone get                   show zone cluster params
  zone modify                modify an existing zone
  zone set                   set zone cluster params (requires infile)
  zone list                  list all zones set on this cluster
  zone rename                rename a zone

----------------------------------------

Comment 12 errata-xmlrpc 2016-11-22 19:29:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.